Bug 460057 - Review Request: openlayers - A JavaScript library for displaying map data
Review Request: openlayers - A JavaScript library for displaying map data
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-25 16:31 EDT by Balint Cristian
Modified: 2008-10-23 03:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-23 03:05:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msuchy: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Balint Cristian 2008-08-25 16:31:47 EDT
Spec URL: http://openrisc.rdsor.ro/openlayers.spec
SRPM URL: http://openrisc.rdsor.ro/openlayers-2.6-1.fc9.src.rpm

Description:
OpenLayers is a pure JavaScript library for displaying map data in most
modern web browsers, with no server-side dependencies. OpenLayers implements
a JavaScript API for building rich web-based geographic applications,
similar to the Google Maps and MSN Virtual Earth APIs, with one important
difference -- OpenLayers is Free Software, developed for and by the Open
Source software community.

Furthermore, OpenLayers implements industry-standard methods for geographic
data access, such as the OpenGIS Consortium's Web Mapping Service (WMS) and
Web Feature Service (WFS) protocols. Under the hood, OpenLayers is written
in object-oriented JavaScript, using components from Prototype.js and the
Rico library. The OpenLayers code base already has hundreds of unit tests,
via the Test.AnotherWay framework.
Comment 1 Balint Cristian 2008-08-25 16:33:10 EDT
This package is very similar to squirrelmail.
Package pass rpmlint checks.
Comment 2 Balint Cristian 2008-10-08 04:26:45 EDT
Spec URL: http://openrisc.rdsor.ro/openlayers.spec
SRPM URL: http://openrisc.rdsor.ro/openlayers-2.7-1.fc10.src.rpm

- Just a newer release.

- rpmlint initial tests pass:
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 3 Miroslav Suchý 2008-10-14 15:53:24 EDT
OK - MUST: rpmlint must be run on every package. The output should be posted in the review.
OK - MUST: The package must be named according to the Package Naming Guidelines .
OK - MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption on Package Naming Guidelines .
OK - MUST: The package must meet the Packaging Guidelines .
OK - MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK - MUST: The License field in the package spec file must match the actual license.
OK - MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK - MUST: The spec file must be written in American English.
OK - MUST: The spec file for the package MUST be legible. If the reviewer is unable to read the spec file, it will be impossible to perform a review. Fedora is not the place for entries into the Obfuscated Code Contest (http://www.ioccc.org/).
OK (md5sum c0d288a7b935e8b940b0b850ef135c95)- MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
FAIL - MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
FAIL - MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number should then be placed in a comment, next to the corresponding ExcludeArch line. New packages will not have bugzilla entries during the review process, so they should put this description in the comment until the package is approved, then file the bugzilla entry, and replace the long explanation with the bug number. The bug should be marked as blocking one (or more) of the following bugs to simplify tracking such issues: FE-ExcludeArch-x86 , FE-ExcludeArch-x64 , FE-ExcludeArch-ppc , FE-ExcludeArch-ppc64
OK - MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK - MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
OK - MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. Refer to the Guidelines for examples.
OK - MUST: A package must not contain any duplicate files in the %files listing.
OK - MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
OK - MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ).
OK - MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines .
OK - MUST: The package must contain code, or permissable content. This is described in detail in the code vs. content section of Packaging Guidelines .
OK - MUST: Large documentation files should go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity)
OK - MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
OK - MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
OK - MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ). See Prepping BuildRoot For %install for details.
OK - MUST: All filenames in rpm packages must be valid UTF-8.
FAIL - SHOULD: The reviewer should test that the package builds in mock. See MockTricks for details on how to do this.
FAIL - SHOULD: The package should compile and build into binary rpms on all supported architectures.
OK - SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
OK - SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
OK - SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
OK - SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. Please see File Dependencies in the Guidelines for further information. 

Your package do not build in Koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=880737
Beside this everything else looks good.
Comment 4 Balint Cristian 2008-10-20 10:15:04 EDT
Spec URL: http://openrisc.rdsor.ro/openlayers.spec
SRPM URL: http://openrisc.rdsor.ro/openlayers-2.7-1.fc10.src.rpm


* it builds in koji.
http://koji.fedoraproject.org/koji/getfile?taskID=890610&name=build.log

* rpmlint pass clean.
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 5 Balint Cristian 2008-10-20 10:18:52 EDT
Errata:
Spec URL: http://openrisc.rdsor.ro/openlayers.spec
SRPM URL: http://openrisc.rdsor.ro/openlayers-2.7-2.fc10.src.rpm
Comment 6 Miroslav Suchý 2008-10-21 09:01:07 EDT
Package successfully builds, provide sane provides. So it is ...

APPROVED
Comment 7 Balint Cristian 2008-10-21 09:14:17 EDT
Thanks Suchy !
Comment 8 Balint Cristian 2008-10-21 09:16:43 EDT
New Package CVS Request
=======================
Package Name: openlayers
Short Description: A JavaScript library for displaying map data
Owners: rezso
Branches: F-8 F-9 devel
Comment 9 Huzaifa S. Sidhpurwala 2008-10-22 06:28:10 EDT
cvs done

Note You need to log in before you can comment on or make changes to this bug.